curl --request POST \
--url https://api.aisa.one/apis/v1/api-sports/get-fixtures \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 215662,
"to": "2020-06-30",
"date": "2020-05-30",
"from": "2020-05-30",
"last": 2,
"live": "all",
"next": 2,
"team": 33,
"round": "Regular Season - 1",
"venue": 556,
"league": 39,
"season": 2019,
"status": "NS",
"timezone": "Europe/London"
}
'import requests
url = "https://api.aisa.one/apis/v1/api-sports/get-fixtures"
payload = {
"id": 215662,
"to": "2020-06-30",
"date": "2020-05-30",
"from": "2020-05-30",
"last": 2,
"live": "all",
"next": 2,
"team": 33,
"round": "Regular Season - 1",
"venue": 556,
"league": 39,
"season": 2019,
"status": "NS",
"timezone": "Europe/London"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 215662,
to: '2020-06-30',
date: '2020-05-30',
from: '2020-05-30',
last: 2,
live: 'all',
next: 2,
team: 33,
round: 'Regular Season - 1',
venue: 556,
league: 39,
season: 2019,
status: 'NS',
timezone: 'Europe/London'
})
};
fetch('https://api.aisa.one/apis/v1/api-sports/get-fixtures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/api-sports/get-fixtures",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 215662,
'to' => '2020-06-30',
'date' => '2020-05-30',
'from' => '2020-05-30',
'last' => 2,
'live' => 'all',
'next' => 2,
'team' => 33,
'round' => 'Regular Season - 1',
'venue' => 556,
'league' => 39,
'season' => 2019,
'status' => 'NS',
'timezone' => 'Europe/London'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/api-sports/get-fixtures"
payload := strings.NewReader("{\n \"id\": 215662,\n \"to\": \"2020-06-30\",\n \"date\": \"2020-05-30\",\n \"from\": \"2020-05-30\",\n \"last\": 2,\n \"live\": \"all\",\n \"next\": 2,\n \"team\": 33,\n \"round\": \"Regular Season - 1\",\n \"venue\": 556,\n \"league\": 39,\n \"season\": 2019,\n \"status\": \"NS\",\n \"timezone\": \"Europe/London\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/api-sports/get-fixtures")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 215662,\n \"to\": \"2020-06-30\",\n \"date\": \"2020-05-30\",\n \"from\": \"2020-05-30\",\n \"last\": 2,\n \"live\": \"all\",\n \"next\": 2,\n \"team\": 33,\n \"round\": \"Regular Season - 1\",\n \"venue\": 556,\n \"league\": 39,\n \"season\": 2019,\n \"status\": \"NS\",\n \"timezone\": \"Europe/London\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/api-sports/get-fixtures")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 215662,\n \"to\": \"2020-06-30\",\n \"date\": \"2020-05-30\",\n \"from\": \"2020-05-30\",\n \"last\": 2,\n \"live\": \"all\",\n \"next\": 2,\n \"team\": 33,\n \"round\": \"Regular Season - 1\",\n \"venue\": 556,\n \"league\": 39,\n \"season\": 2019,\n \"status\": \"NS\",\n \"timezone\": \"Europe/London\"\n}"
response = http.request(request)
puts response.read_body{
"get": "<string>",
"errors": [
"<unknown>"
],
"paging": {
"total": 123,
"current": 123
},
"results": 1,
"response": [
{
"goals": {
"away": 123,
"home": 123
},
"score": {
"fulltime": {
"away": 123,
"home": 123
},
"halftime": {
"away": 123,
"home": 123
},
"penalty": {
"away": 123,
"home": 123
},
"extratime": {
"away": 123,
"home": 123
}
},
"teams": {
"away": {
"id": 123,
"name": "<string>",
"logo": "<string>",
"winner": true
},
"home": {
"id": 123,
"name": "<string>",
"logo": "<string>",
"winner": true
}
},
"league": {
"id": 123,
"name": "<string>",
"season": 123,
"country": "<string>",
"flag": "<string>",
"logo": "<string>",
"round": "<string>",
"standings": true
},
"fixture": {
"id": 123,
"date": "<string>",
"status": {
"long": "<string>",
"short": "<string>",
"extra": 123,
"elapsed": 123
},
"timezone": "<string>",
"timestamp": 123,
"venue": {
"id": 123,
"city": "<string>",
"name": "<string>"
},
"periods": {
"first": 123,
"second": 123
},
"referee": "<string>"
},
"events": [
{
"team": {
"id": 123,
"logo": "<string>",
"name": "<string>"
},
"time": {
"elapsed": 123,
"extra": 123
},
"type": "<string>",
"detail": "<string>",
"player": {
"id": 123,
"name": "<string>"
},
"assist": {
"id": 123,
"name": "<string>"
},
"comments": "<string>"
}
],
"lineups": [
{
"team": {
"id": 123,
"logo": "<string>",
"name": "<string>",
"colors": {
"player": {
"border": "<string>",
"number": "<string>",
"primary": "<string>"
},
"goalkeeper": {
"border": "<string>",
"number": "<string>",
"primary": "<string>"
}
}
},
"coach": {
"id": 123,
"name": "<string>",
"photo": "<string>"
},
"startXI": [
{
"player": {
"id": 123,
"name": "<string>",
"number": 123,
"pos": "<string>",
"grid": "<string>"
}
}
],
"formation": "<string>",
"substitutes": [
{
"player": {
"id": 123,
"name": "<string>",
"number": 123,
"pos": "<string>",
"grid": "<string>"
}
}
]
}
],
"players": [
{
"team": {
"id": 123,
"logo": "<string>",
"name": "<string>",
"update": "<string>"
},
"players": [
{
"player": {
"id": 123,
"name": "<string>",
"photo": "<string>"
},
"statistics": [
{
"cards": {
"red": 123,
"yellow": 123,
"yellowred": 123
},
"duels": {
"won": 123,
"total": 123
},
"fouls": {
"drawn": 123,
"committed": 123
},
"games": {
"number": 123,
"rating": "<string>",
"captain": true,
"minutes": 123,
"position": "<string>",
"substitute": true
},
"goals": {
"saves": 123,
"total": 123,
"assists": 123,
"conceded": 123
},
"shots": {
"on": 123,
"total": 123
},
"passes": {
"key": 123,
"total": 123,
"accuracy": "<string>"
},
"penalty": {
"won": 123,
"saved": 123,
"missed": 123,
"scored": 123,
"commited": 123
},
"tackles": {
"total": 123,
"blocks": 123,
"interceptions": 123
},
"dribbles": {
"past": 123,
"success": 123,
"attempts": 123
},
"offsides": 123
}
]
}
]
}
],
"statistics": [
{
"team": {
"id": 123,
"name": "<string>",
"logo": "<string>"
},
"statistics": [
{
"type": "<string>",
"value": "<string>"
}
]
}
]
}
],
"parameters": {
"id": "<string>",
"to": "<string>",
"date": "<string>",
"from": "<string>",
"last": "<string>",
"live": "<string>",
"next": "<string>",
"team": "<string>",
"round": "<string>",
"venue": "<string>",
"league": "<string>",
"season": "<string>",
"status": "<string>",
"timezone": "<string>"
}
}Get Fixtures
curl --request POST \
--url https://api.aisa.one/apis/v1/api-sports/get-fixtures \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 215662,
"to": "2020-06-30",
"date": "2020-05-30",
"from": "2020-05-30",
"last": 2,
"live": "all",
"next": 2,
"team": 33,
"round": "Regular Season - 1",
"venue": 556,
"league": 39,
"season": 2019,
"status": "NS",
"timezone": "Europe/London"
}
'import requests
url = "https://api.aisa.one/apis/v1/api-sports/get-fixtures"
payload = {
"id": 215662,
"to": "2020-06-30",
"date": "2020-05-30",
"from": "2020-05-30",
"last": 2,
"live": "all",
"next": 2,
"team": 33,
"round": "Regular Season - 1",
"venue": 556,
"league": 39,
"season": 2019,
"status": "NS",
"timezone": "Europe/London"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 215662,
to: '2020-06-30',
date: '2020-05-30',
from: '2020-05-30',
last: 2,
live: 'all',
next: 2,
team: 33,
round: 'Regular Season - 1',
venue: 556,
league: 39,
season: 2019,
status: 'NS',
timezone: 'Europe/London'
})
};
fetch('https://api.aisa.one/apis/v1/api-sports/get-fixtures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/api-sports/get-fixtures",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 215662,
'to' => '2020-06-30',
'date' => '2020-05-30',
'from' => '2020-05-30',
'last' => 2,
'live' => 'all',
'next' => 2,
'team' => 33,
'round' => 'Regular Season - 1',
'venue' => 556,
'league' => 39,
'season' => 2019,
'status' => 'NS',
'timezone' => 'Europe/London'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/api-sports/get-fixtures"
payload := strings.NewReader("{\n \"id\": 215662,\n \"to\": \"2020-06-30\",\n \"date\": \"2020-05-30\",\n \"from\": \"2020-05-30\",\n \"last\": 2,\n \"live\": \"all\",\n \"next\": 2,\n \"team\": 33,\n \"round\": \"Regular Season - 1\",\n \"venue\": 556,\n \"league\": 39,\n \"season\": 2019,\n \"status\": \"NS\",\n \"timezone\": \"Europe/London\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/api-sports/get-fixtures")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 215662,\n \"to\": \"2020-06-30\",\n \"date\": \"2020-05-30\",\n \"from\": \"2020-05-30\",\n \"last\": 2,\n \"live\": \"all\",\n \"next\": 2,\n \"team\": 33,\n \"round\": \"Regular Season - 1\",\n \"venue\": 556,\n \"league\": 39,\n \"season\": 2019,\n \"status\": \"NS\",\n \"timezone\": \"Europe/London\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/api-sports/get-fixtures")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 215662,\n \"to\": \"2020-06-30\",\n \"date\": \"2020-05-30\",\n \"from\": \"2020-05-30\",\n \"last\": 2,\n \"live\": \"all\",\n \"next\": 2,\n \"team\": 33,\n \"round\": \"Regular Season - 1\",\n \"venue\": 556,\n \"league\": 39,\n \"season\": 2019,\n \"status\": \"NS\",\n \"timezone\": \"Europe/London\"\n}"
response = http.request(request)
puts response.read_body{
"get": "<string>",
"errors": [
"<unknown>"
],
"paging": {
"total": 123,
"current": 123
},
"results": 1,
"response": [
{
"goals": {
"away": 123,
"home": 123
},
"score": {
"fulltime": {
"away": 123,
"home": 123
},
"halftime": {
"away": 123,
"home": 123
},
"penalty": {
"away": 123,
"home": 123
},
"extratime": {
"away": 123,
"home": 123
}
},
"teams": {
"away": {
"id": 123,
"name": "<string>",
"logo": "<string>",
"winner": true
},
"home": {
"id": 123,
"name": "<string>",
"logo": "<string>",
"winner": true
}
},
"league": {
"id": 123,
"name": "<string>",
"season": 123,
"country": "<string>",
"flag": "<string>",
"logo": "<string>",
"round": "<string>",
"standings": true
},
"fixture": {
"id": 123,
"date": "<string>",
"status": {
"long": "<string>",
"short": "<string>",
"extra": 123,
"elapsed": 123
},
"timezone": "<string>",
"timestamp": 123,
"venue": {
"id": 123,
"city": "<string>",
"name": "<string>"
},
"periods": {
"first": 123,
"second": 123
},
"referee": "<string>"
},
"events": [
{
"team": {
"id": 123,
"logo": "<string>",
"name": "<string>"
},
"time": {
"elapsed": 123,
"extra": 123
},
"type": "<string>",
"detail": "<string>",
"player": {
"id": 123,
"name": "<string>"
},
"assist": {
"id": 123,
"name": "<string>"
},
"comments": "<string>"
}
],
"lineups": [
{
"team": {
"id": 123,
"logo": "<string>",
"name": "<string>",
"colors": {
"player": {
"border": "<string>",
"number": "<string>",
"primary": "<string>"
},
"goalkeeper": {
"border": "<string>",
"number": "<string>",
"primary": "<string>"
}
}
},
"coach": {
"id": 123,
"name": "<string>",
"photo": "<string>"
},
"startXI": [
{
"player": {
"id": 123,
"name": "<string>",
"number": 123,
"pos": "<string>",
"grid": "<string>"
}
}
],
"formation": "<string>",
"substitutes": [
{
"player": {
"id": 123,
"name": "<string>",
"number": 123,
"pos": "<string>",
"grid": "<string>"
}
}
]
}
],
"players": [
{
"team": {
"id": 123,
"logo": "<string>",
"name": "<string>",
"update": "<string>"
},
"players": [
{
"player": {
"id": 123,
"name": "<string>",
"photo": "<string>"
},
"statistics": [
{
"cards": {
"red": 123,
"yellow": 123,
"yellowred": 123
},
"duels": {
"won": 123,
"total": 123
},
"fouls": {
"drawn": 123,
"committed": 123
},
"games": {
"number": 123,
"rating": "<string>",
"captain": true,
"minutes": 123,
"position": "<string>",
"substitute": true
},
"goals": {
"saves": 123,
"total": 123,
"assists": 123,
"conceded": 123
},
"shots": {
"on": 123,
"total": 123
},
"passes": {
"key": 123,
"total": 123,
"accuracy": "<string>"
},
"penalty": {
"won": 123,
"saved": 123,
"missed": 123,
"scored": 123,
"commited": 123
},
"tackles": {
"total": 123,
"blocks": 123,
"interceptions": 123
},
"dribbles": {
"past": 123,
"success": 123,
"attempts": 123
},
"offsides": 123
}
]
}
]
}
],
"statistics": [
{
"team": {
"id": 123,
"name": "<string>",
"logo": "<string>"
},
"statistics": [
{
"type": "<string>",
"value": "<string>"
}
]
}
]
}
],
"parameters": {
"id": "<string>",
"to": "<string>",
"date": "<string>",
"from": "<string>",
"last": "<string>",
"live": "<string>",
"next": "<string>",
"team": "<string>",
"round": "<string>",
"venue": "<string>",
"league": "<string>",
"season": "<string>",
"status": "<string>",
"timezone": "<string>"
}
}请求规范
- 方法与路径: POST /apis/v1/api-sports/get-fixtures
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/api-sports/get-fixtures - Runtime 事实版本: 79c3a316fdeba0e2a5966a14b3bd8b262de8099a119b3fcdb47de874db1aed3e
{
"operationId": "api-sports.get-fixtures",
"method": "POST",
"path": "/apis/v1/api-sports/get-fixtures",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": false,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1,
"examples": [
215662
],
"description": "Unique identifier of the fixture."
},
"to": {
"type": "string",
"examples": [
"2020-06-30"
],
"description": "End date for date range (YYYY-MM-DD)."
},
"date": {
"type": "string",
"examples": [
"2020-05-30"
],
"description": "A valid date (YYYY-MM-DD)."
},
"from": {
"type": "string",
"examples": [
"2020-05-30"
],
"description": "Start date for date range (YYYY-MM-DD)."
},
"last": {
"type": "integer",
"maximum": 20,
"minimum": 1,
"examples": [
2
],
"description": "Number of last fixtures to retrieve. Capped at ~20 fixtures; use league with from/to for extended range coverage."
},
"live": {
"type": "string",
"examples": [
"all"
],
"description": "Get all live fixtures (all) or only those with events (all-events)."
},
"next": {
"type": "integer",
"maximum": 20,
"minimum": 1,
"examples": [
2
],
"description": "Number of next fixtures to retrieve."
},
"team": {
"type": "integer",
"minimum": 1,
"examples": [
33
],
"description": "Unique identifier of the team."
},
"round": {
"type": "string",
"examples": [
"Regular Season - 1"
],
"description": "Round of the fixture."
},
"venue": {
"type": "integer",
"minimum": 1,
"examples": [
556
],
"description": "Unique identifier of the venue."
},
"league": {
"type": "integer",
"minimum": 1,
"examples": [
39
],
"description": "Unique identifier of the league."
},
"season": {
"type": "integer",
"maximum": 9999,
"minimum": 1000,
"examples": [
2019
],
"description": "Season year (4-digit year)."
},
"status": {
"type": "string",
"examples": [
"NS"
],
"description": "Status of the fixture (NS, LIVE, FT, etc.)."
},
"timezone": {
"type": "string",
"examples": [
"Europe/London"
],
"description": "IANA timezone for date conversion. Set correctly to avoid empty results when filtering by date, live, or status, as all times default to UTC."
}
}
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.000384,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.000384 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.000384
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
Unique identifier of the fixture.
x >= 1215662
End date for date range (YYYY-MM-DD).
"2020-06-30"
A valid date (YYYY-MM-DD).
"2020-05-30"
Start date for date range (YYYY-MM-DD).
"2020-05-30"
Number of last fixtures to retrieve. Capped at ~20 fixtures; use league with from/to for extended range coverage.
1 <= x <= 202
Get all live fixtures (all) or only those with events (all-events).
"all"
Number of next fixtures to retrieve.
1 <= x <= 202
Unique identifier of the team.
x >= 133
Round of the fixture.
"Regular Season - 1"
Unique identifier of the venue.
x >= 1556
Unique identifier of the league.
x >= 139
Season year (4-digit year).
1000 <= x <= 99992019
Status of the fixture (NS, LIVE, FT, etc.).
"NS"
IANA timezone for date conversion. Set correctly to avoid empty results when filtering by date, live, or status, as all times default to UTC.
"Europe/London"